Notification method for opening the topology

- « MongoDB\Driver\Monitoring\SDAMSubscriber::topologyClosed

- MongoDB\Driver\Monitoring\Subscriber »

- PHP Manual
- MongoDB\Driver\Monitoring\SDAMSubscriber
- Notification method for opening the topology

# MongoDB\Driver\Monitoring\SDAMSubscriber::topologyOpening

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\SDAMSubscriber::topologyOpening — Notification method for opening the topology

### Description

abstract public MongoDB\Driver\Monitoring\SDAMSubscriber::topologyOpening(MongoDB\Driver\Monitoring\TopologyOpeningEvent `$event`): void

If the subscriber has been registered, the driver will call this method when the topology is opened.

### Parameters

`event` (MongoDB\Driver\Monitoring\TopologyOpeningEvent)

  An event object encapsulating information about the opened topology.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\TopologyOpeningEvent
- MongoDB\Driver\Monitoring\addSubscriber() - Registers a monitoring event subscriber globally
- MongoDB\Driver\Manager::addSubscriber() - Registers a monitoring event subscriber with this Manager